<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="vip.xiaonuo.sys.modular.user.mapper.SysUserMapper">

    <delete id="deleteIgnoreInterceptor">
        DELETE FROM SYS_USER ${ew.customSqlSegment}
    </delete>

    <select id="getGroupList" resultType="java.util.Map">
        SELECT
            t1.ID AS groupId,
            t1.NAME AS groupIdName,
            t1.ACCOUNT AS account
        FROM SYS_USER t1
        WHERE t1.DELETE_FLAG ='NOT_DELETE'
        AND t1.IS_RESOURCEACCOUNT='1'
        <if test="param.groupIdName !=null and param.groupIdName != ''">
            and t1.NAME like concat("%",#{param.groupIdName},"%")
        </if>
        <if test="param.groupId !=null and param.groupId != ''">
            and t1.ID = #{param.groupId}
        </if>
    </select>
</mapper>
